Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access.support
Class SetPropertyCommand

Direct Known Subclasses:
  SetPropertyCommand, SetArrayPropertyCommand

public class SetPropertyCommand
implements TagCommand

todo comments

Constructor Summary
`SetPropertyCommand(String tag, String property, TagEntryTransformer transformer)`
`SetPropertyCommand(String tag, String property, TagEntryTransformer transformer, int indent)`
`SetPropertyCommand(String tag, String property, TagEntryTransformer transformer, int indent, boolean duplicateTags)`

Method Summary
`void` | `addValue(String appendValue)`
`void` | `complete(String tag)`
`String` | `getTag()`
`String` | `getTaggedValue()`
`String` | `getTaggedValue(String value)`
`void` | `start(String tag)`

Constructor Detail

### SetPropertyCommand

    public SetPropertyCommand(String tag, String property, TagEntryTransformer transformer)

### SetPropertyCommand

    public SetPropertyCommand(String tag, String property, TagEntryTransformer transformer, int indent)

### SetPropertyCommand

    public SetPropertyCommand(String tag, String property, TagEntryTransformer transformer, int indent, boolean duplicateTags)

Method Detail

### addValue

    public void addValue(String appendValue)

### complete

    public void complete(String tag)

### getTag

    public String getTag()

### getTaggedValue

    public String getTaggedValue()

### getTaggedValue

    public String getTaggedValue(String value)

### start

    public void start(String tag)

Association Links

to Class java.lang.String

to Class org.apache.log4j.Category

to Class java.lang.String

to Class ru.biosoft.access.support.TagEntryTransformer

to Class java.lang.StringBuffer

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM